import { client, navigateTo } from "../../index.js";
import AbstractRedirectView from "./AbstractRedirectView.js";

export default class extends AbstractRedirectView{
    constructor(params, title, url) {
		super(params, title, url);
    }

    async redirect()
    {
		if (await client.isAuthentificate() === false)
			return 0;
		navigateTo(this.redirect_url);
		return 1;
    }
}
